"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var object_1 = require("./object");
var function_1 = require("./function");
var handleCurry_1 = require("./utils/handleCurry");
function isObjectOf(predicate, value) {
    var extraArgs = [];
    for (var _i = 2; _i < arguments.length; _i++) {
        extraArgs[_i - 2] = arguments[_i];
    }
    if (!function_1.default(predicate)) {
        throw new TypeError('Predicate must be a function');
    }
    return handleCurry_1.default.call(this, arguments, function isObjectOfPredicate(object) {
        var _this = this;
        var extraArgs = [];
        for (var _i = 1; _i < arguments.length; _i++) {
            extraArgs[_i - 1] = arguments[_i];
        }
        return object_1.default(object) && Object.keys(object)
            .every(function (key) {
            return predicate.apply(_this, [object[key]].concat(extraArgs));
        });
    });
}
exports.default = isObjectOf;
