"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Checks whether value is thenable according to Promise A+ spec https://promisesaplus.com/
 * Useful to asses whether value might be used as promise
 *
 * @param {*} value
 * @returns {boolean}
 */
function isThenable(value) {
    return !!value && typeof value.then === 'function';
}
exports.default = isThenable;
